Package org.springframework.batch.item

# Class ItemStreamSupport

java.lang.Object
org.springframework.batch.item.ItemStreamSupport

All Implemented Interfaces:
  `ItemStream`

Direct Known Subclasses:
  `AbstractItemStreamItemReader`, `AbstractItemStreamItemWriter`, `ChunkMonitor`

public abstract class ItemStreamSupport extends Object implements ItemStream
Empty method implementation of `ItemStream`.

Author:
  Dave Syer, Dean de Bree

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemStreamSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  No-op.
  `String`
  `getExecutionContextKey(String key)`
  `void`
  `open(ExecutionContext executionContext)`
  No-op.
  `protected void`
  `setExecutionContextName(String name)`
  `void`
  `setName(String name)`
  The name of the component which will be used as a stem for keys in the `ExecutionContext`.
  `void`
  `update(ExecutionContext executionContext)`
  Return empty `ExecutionContext`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ItemStreamSupport

    public ItemStreamSupport()

- ## Method Details

  - ### close

    public void close()
    No-op.
    Specified by:
      `close` in interface `ItemStream`
    See Also:
      - `ItemStream.close()`

  - ### open

    public void open(ExecutionContext executionContext)
    No-op.
    Specified by:
      `open` in interface `ItemStream`
    Parameters:
      `executionContext` - current step's `ExecutionContext`. Will be the executionContext from the last run of the step on a restart.
    See Also:
      - `ItemStream.open(ExecutionContext)`

  - ### update

    public void update(ExecutionContext executionContext)
    Return empty `ExecutionContext`.
    Specified by:
      `update` in interface `ItemStream`
    Parameters:
      `executionContext` - to be updated
    See Also:
      - `ItemStream.update(ExecutionContext)`

  - ### setName

    public void setName(String name)
    The name of the component which will be used as a stem for keys in the `ExecutionContext`. Subclasses should provide a default value, e.g. the short form of the class name.
    Parameters:
      `name` - the name for the component

  - ### setExecutionContextName

    protected void setExecutionContextName(String name)

  - ### getExecutionContextKey

    public String getExecutionContextKey(String key)